Home arrow News Archive arrow What should I do with my non-homebrew PSP?
What should I do with my non-homebrew PSP?
Written by Fanjita    Wednesday, 24 January 2007

ImageOver and over again, we get questions from people asking things like:

  • When will there be a 2.81 downgrader?
  • Should I sell my 3.03 PSP and buy a 1.5?
  • Should I upgrade my 2.81 to 3.03?

This article is an attempt to provide some balanced answers to those questions.

Here are the facts:

  • It looks like the Team C+D kernel mode exploit will work all the way up to v3.03 - the relevant code seems to be unchanged.
  • It's very likely that Sony will patch that exploit in the next firmware.
  • As soon as a user-mode exploit is found for 2.81-3.03, it should be possible to get homebrew running on those firmwares.
  • It looks like the current 2.80 downgrader will probably work on v3.03, once we can run homebrew on that firmware.
  • Dark_AleX's OE firmwares are the best platform for homebrew users, and it seems likely that it will be possible to keep updating OE for the latest firmwares shortly after they are released.
  • It has historically always been easier to downgrade lower firmwares.

So what does all that mean for 2.81-3.03 owners?

  • Well, right now things are more hopeful for you than they have been for bleeding edge firmwares for a long time.  We're only 1 step away from being able to downgrade your PSP and move it onto an OE firmware.  It's almost certain that a downgrader will eventually come - but no-one can accurately predict when that might be, so please don't ask!
  • Upgrading to the next firmware release would be homebrew suicide.  Don't expect any sympathy if you choose to upgrade as soon as the next firmware is released - if you wait a short time, you can probably have it as an OE version instead.
  • Upgrading your firmware even from 2.81 to 3.00 is probably not a great move - you may delay your ability to downgrade when a downgrader finally comes.

One final note - if you have more money than patience, then your best bet for getting homebrew on your non-homebrewable PSP is to simply sell it, and buy a downgradeable PSP.  The difference in price is not very large these days, and so it's not really a hard thing to do if you really can't wait.
Comments (64)add comment

i suck said:

  WELL THEN IM SCREWWED
smilies/angry.gif smilies/sad.gif smilies/shocked.gif smilies/cool.gif smilies/cool.gif smilies/cool.gif smilies/undecided.gif smilies/cry.gif
January 24, 2007

I agree said:

  i agree with everything you said i have 3.03 OE B but if you look at the official sony us fourms theere are hundreds of people asking when will there be a 2.81 or 3.02 downgrader so people even say dark_alex must make a 3.0 downgrader but to them i say he dosnt have to you want him to
and as i said i agrree with everything you are saying
January 24, 2007

newhend said:

  noobz can you please make 2.80 hen d compatiable w/ 2.71 hen d devhook i dont wanaa downgrade but i wanaa devhook 1.5 and the 2.71 devhook doesnt work * would be helpful *
January 24, 2007

o.o said:

  2.81 and up people just wait for a exploit to come it WILL happen eventually though it may not be tommarow or the next day wait a could of weeks/months just dont upgrade to a higher firmware (E.G 2.81 to 2.82 ) thats all im saying and thats what i did w/ my 2.71.
January 24, 2007

arios129 said:

  mmmmmmmmmm bad Scene, noobz thanks for loader of psp 2.80 and lowered my psp to psp 1.50 the support so that hack 2.8x 3.x
of its friend arios129
January 24, 2007

arios129 said:

  the support so that hack 2.8x 3.x
2,80 thanks to loader of psp the e downgradiado of version the 1,50 of its friend 129
January 24, 2007

Anon Omus said:

  Definetely go with the DarK_Alex custom firmware if you can. Absolute, utter, awsomesauce. Nothing like being able to run homebrew at full speed. And to think, I thought I screwed my self over by upgrading to 2.6 after I got my PSP.
January 24, 2007

Cess007 said:

  Men, i'm stilll cursing myself to update to 2.81fw; but at least there's hope to see a downgrader soon.

See ya!
January 24, 2007

Waiting.... said:

  So what's up with the eloaders?? Have you guys totally stopped making them? For those of us that cant downgrade or are just afraid to downgrade, we are always looking to see if you have come up with a new eloader. It's been such a long time since you guys released one and I am sorry to say, I am starting to think that we will never get a new eloader because of all the OE firmwares. That's kinda sad for everybody else who cant downgrade. Please say you guys have something in the works!!!
January 24, 2007

Saihtam said:

  Eyy!If I get back my Internet in the next days I must write this on my site smilies/grin.gif

We also get a lot of those question.
January 24, 2007

coty said:

  Well fanjita i can wait you guys go ahead and take your time. I'll just keep using flsh portals for now.
January 24, 2007

EXPLOIT MABY 3.03????? said:

  i think we got sumthing that could possibly enable homebrew on 3.03.... goto here, http://www.youtube.com/watch?v=QbmJX-bb-60 and then see if this mp3 screw up can be used to overflow the psp and a code writen to work with homebrew....

it works in 3.03 i tryed it on my 3.02 psp and my friends 3.03 psp..... it does the same thing.... look at it and see if it will work, btw we need a programmer for help with developing a downgrader.... SHOTZ AND THNXZ
January 24, 2007

i think we go an exploit said:

  ok well the s0nyDominators (we're new) think we have found a possible exploit in 3.03.... look at the vid here :

http://www.youtube.com/watch?v=QbmJX-bb-60

our forum post is here:

http://www.psp-downgrades.com/forums/viewtopic.php?id=1819&p=1

but start at page 4 cuz the rest are about a MX flash downgrader smilies/tongue.gif
January 24, 2007

Seppe said:

  I hope there will be a dwongrader soon for the 2.81 firmware (for the TA-082 PSP and others...)
January 24, 2007

Fannyjita said:

  I think that there is no user exploit for 2.81-3.03. I will be very happy if there is though. Will sony ever get a perfect uncrackable firware?
January 24, 2007

clay said:

  thanks!!! hope you ll save us soon!
January 24, 2007

NIK said:

  so do i

i have a psp on 3.03 EO-B and another on 2.81
January 24, 2007

coty said:

  Just to give everyone a heads up there is hinting that a new firmware is coming out either this friday or next friday. So if it is true dont upgrade what ever you do dont.
January 24, 2007

Seppe said:

  ok, but how is the progress of the 2.81 downgrader going??
They say that they are only 1 stap away... How long is it going to take to take that step ?

btw I just want to say that I really aprriciate your work!
Keep on going!
There are a lot of people depending on you guys!
January 24, 2007

pspwner said:

  So, my guess is that the idstoragechange will also work on 2.81 - 3.03, is that true?
January 24, 2007

Xeon said:

  I just wanted to say thanks on the update. I currently use my brothers psp [wwhich I updated to 3.03 OE-B], but mine is 2.81. Just glad to see we are so close.
January 24, 2007

Raytrix said:

  *proud owner of a TA 082 2.81 psp *
hehe smilies/cheesy.gif i smiled when i read the newscomment... only one step away...
i am finaly gonna be able to play GBA games on my psp (h) im gonna be SO happy

gonna wait for an easy downgrader tho... don't wanna risk bricking anything :p
*goes back and amuses himself with RSS, Vids, Music, and burnout legends*
January 24, 2007

Dang13 said:

  Stop asking all the "how long questions" and saying oh I hope geez.. you just got the best explaination for a good estimate read the full article..
January 24, 2007

coty said:

  Well just to let you guys know im on 3.00 smilies/cry.gif and i know that that one step will take months. It is almost like learning how to walk.
January 24, 2007

darkpsp said:

  all the best !!
January 24, 2007

thepita said:

  the .mp3 exploit i thought about months ago. i made a forum on maxconsole many people put their input their so dont claim this "possible exploit" as yours smilies/smiley.gif
January 24, 2007

apgunner said:

  the downgrader is already made they just haven't released yet cuz there waiting for sony to make another firmware.
January 25, 2007

i think we go an exploit said:

  we need help with the 3.03 possible mp3 exploit... please help up with our project, want a 3.03 downgrader? then stop moaning and actualy start helping!!!

http://www.youtube.com/watch?v=QbmJX-bb-60

thats the possible exploit, all we need is a programmer that can help us with an overflow and run a code through the mp3... thats it!
January 25, 2007

alx51 said:

  Is this sonydominators exploit legit?
January 25, 2007

homiegGGGG said:

  s0nydominators or whatever...

thats pretty cool... i hope what you find works. Im a 3.01 ta-082, so Im just gonna wait. I hope u can find a C programmer, also maybe let some devs no about your find.

DONT TAKE YOUR TIME! :p

lol ill be waiting
January 25, 2007

Dead girl. said:

  Nihahah. I upgraded I think the same day that the last downgrader came out. Yeah, I'm staying with 2.82. I'm not budging because every time I upgrade my firmware, the same day a new downgrader comes out. (Maybe I should ask one of my friends if I can upgrade theirs for them >_< That might trick lady luck >_
January 25, 2007

Reg said:

  much appreciate all the work you guys done over the last year or so since i got my PSP.
i was lucky enought to get a 2.0 psp and was happily using your e-loader (so i could still play GTA) until you pointed me in the direction of custom firmware!
now i got a 1.5 running 2.7 firmware lol best of both worlds
Thanks Dude's
January 25, 2007

Deadlock said:

  Good luck with hacking, I've 3.00 smilies/cry.gif So please, be fast smilies/tongue.gif
January 25, 2007

d4rklamp said:

  Me too, i'm stuck on firmware v3.00 smilies/cry.gif, still waiting desparately for a downgrader .... smilies/sad.gif smilies/sad.gif smilies/sad.gif smilies/sad.gif
January 25, 2007

n00byn4t3r said:

  man i am kicking myself all the time, i bought a psp version 1.5, upgraded to 2.00(stupid - didnt know at that time about homebrews) then i connected to the internet and it did an atumatic update to 2.82 and now i am stuk here smilies/angry.gif
January 25, 2007

Omega-Weapon said:

  Well this is good news, atleast this way I may be able to get onto 3.03OE and play my old PS1 games! smilies/grin.gif

Good luck with this n00bz, and DarkAlex, hopefully you'll get a downgrader working soon!
January 25, 2007

PearLRoX said:

  THX!!! i hope you can save us smilies/grin.gif
January 25, 2007

karivika said:

  this realy brings my mood up today smilies/kiss.gif ty fanjita
I hope there will be a 3.00 downgrader, well lets say, before my birthday in 1 month an 13 days.
January 25, 2007

Stories said:

  I ran out and bought MGSsmilies/tongue.gifO which required the 2.81 upgrade. Without checking PSP-Vault, I blindly upgraded my PSP to 2.81 because I wanted to play it that day. A week later the 2.8 downgrader came out (which I had). I feel stupid.
January 25, 2007

coty said:

  we are working on the possible mp3 or wma exploit right now
January 25, 2007

Adam's Apple said:

  I have updated to 3.03 and it was the biggest mistake of my life. I hope there will be a 3.03 downgrader soon. I want 3.03OE-B so bad. But i need to save up for a genuine psp memory card duo to downgrade when a downgrader comes out because my memory card is fake and i bought it off ebay. I heard if u downgrade with a fake memory card your psp can be bricked. So is Team C D working on finding an exploit right now?
January 25, 2007

Raytrix said:

  good luck coty smilies/smiley.gif
January 25, 2007

Jay Whiz said:

  If the PSP doesn't crash it's very unlikely the MP3 will actually lead to an exploit.
January 25, 2007

Zepper said:

  There ARE exploits up to 3.02, or else, Sony wouldn't had updated the firmware, as mentioned "security vulnerability". Well, I know it's not an easy task... or even if a 1.52 original PSP can be downgraded to 1.50 (mine is at 3.01 though).
January 25, 2007

Hiei- said:

  A MS is a MS, mine isn't an official Sony one, and I used downgrader like ten times without problems since I have it.

There also some risks to break your PSP even with an official one, but most of the bricks are errors of the users, not bugs of the downgraders.
January 26, 2007

Senor moo moo man said:

  I LOVE you guys at Noobz!smilies/cool.gif You have given me new hope to live!! Someone upgraded my PSP to 8.1 when I was out of state during the winter, and you could imagine my horrible feelingssmilies/angry.gif. But thanks to you I have a new hope. May the force be with you and lead you to many many more brilliant discoveries and creations, saving the lives of many, such as myself, around the world smilies/grin.gif smilies/smiley.gif ; smilies/cry.gif
January 26, 2007

PSP-303OEC said:

  Please note that if you have a PSP with a motherboard
January 26, 2007

T2 said:

  i count on ya guys, my 3.03 sucks and i want to downgrade it asap. Good luck and keep up this awesome work smilies/cheesy.gif
January 26, 2007

Raytrix said:

  hehe smilies/cheesy.gif seems like just mere two days after this was made, a hack was discovered in the 3.03 firmware ^^ thanks noobZ, and thx rockstar for GTALCS smilies/cheesy.gif

*goes back and enjoy psp 2.81... thinking about what GBA games to emulate first (h)*
January 26, 2007

JoRk0 Ilieff said:

  Good luck fellaz. You're doing amazing job. There are a lot of confused people that are wainting for you and your deeds will not be forget. After I bought 1.5 PSP and upgrade it like a dump to 2.81 version I have been waiting for 8 months for that downgrader, so I am expecting it with great enthusiasm. Thank ya once more smilies/smiley.gif
January 27, 2007

GamefreQ said:

  mmmmmmmmmmmm... this sucks. i had 2.8 and waited for months and the 3.03ers waited for weeks. Now they have an exploit through LCS and kernal too, not long before a kernal eloader is made and then with that the 2.8 downgrader will be run... if you make a downgrader, wait a few months just to give them the feeling of pain...
January 28, 2007

Brad said:

  @GamerfeQ remember that this is only for lucky psp users who have an unpatched GTA LCS UMD so not everyone can downgrade unless they find a new exploit or if they borrow a friends unpatched GTA LCS UMD.
January 28, 2007

Vergil productions said:

  dude i just like two days before the downgrade came out i upgrade my psp to V3.10 should i wait till they make a downgrader for that firmware right
February 05, 2007

rubixs said:

  i just wish u would hurry up & get this 2.81 downgrader out
February 05, 2007

They little sally said:

  Make an easier 3.03 downgrader smilies/grin.gif smilies/sad.gif smilies/cool.gif smilies/undecided.gif smilies/kiss.gif smilies/cry.gif smilies/smiley.gif smilies/wink.gif smilies/cheesy.gif
February 06, 2007

A33A said:

  Um Rubixs the 2.81 downgraderis out!

You must upgrade to 3.03 though, Don't do it through Network update though as 3.10 is out.
and Vergil Productions. you are from Korea? Sony may have fixed the exploit. Unlucky for you yes so just wait;maybe a long time but as the 3.03 downgrader has proven probably not
I have to wait for someone to find another User Mode exploit (without requiring any games)
All you Devs out there : I Salute You! smilies/grin.gif
February 06, 2007

sogat_ said:

  n00b what u need are a loader for 3.03 to 1.5. So i dont need to downgrade when i want to play 1.5 games. It should roooock smilies/grin.gif . Hope you can make onesmilies/tongue.gif

//SOGAT_
February 08, 2007

jasboy said:

  how do i get my psp to work on emulators iv no got a clue plez help smilies/cheesy.gif
February 10, 2007

uhh said:

  smilies/angry.gif 2.81 sucks ass, i hate this crap smilies/angry.gif
February 14, 2007

I have 3.02 said:

  WELL.. this answers most of questions u can download the 2.81-3.03 except 3.02 from www.psp-hacks.com its really good but i need to get 3.03 though smilies/grin.gif . i hope i helped u
February 16, 2007

blah said:

  u heard, downgraders for 2.81 require an unpatched GTA:LCS ,which is near damn impossible to get nowadays
February 20, 2007

brandgst1 said:

  is there ANY THING I can do with my firmware v3.71 PSP? I'm guessing that my PSP has a firmware kernel v1.52. I would love to have iR Shell on it (or something close to it) does anything like that exist?
October 27, 2007

guy_ad said:

  What to do with a non-homebrew PSP?

Two words, people.

PANDORA'S BATTERY
January 10, 2009

Trev said:

  what if you cant get your hands on a Pandora's Battery
February 02, 2009

Write comment
quote
bold
italicize
underline
strike
url
image
quote
quote
Smiley
Smiley
Smiley
Smiley
Smiley
Smiley
Smiley
Smiley
Smiley
Smiley
Smiley
Smiley

security image
Write the displayed characters


busy
 
< Prev   Next >
If you have found this site or software useful, please consider donating a small amount of money using the button below.

Login Form






Lost Password?
© 2014 N00bz!
This web page is licenced for your personal, private, non-commercial use only.
RIPA NOTICE: NO CONSENT IS GIVEN FOR INTERCEPTION OF PAGE TRANSMISSION
Joomla! is Free Software released under the GNU/GPL License.